<template lang="pug" >

  
      v-container(fluid='', grid-list-lg='')
        v-layout(row='', wrap='')          
          v-flex(xs12, sm6, md4, lg4, v-for='book in visibleBooks', :key='book._id')
            v-card.book-card.white--text(color='cyan darken-2', :to="/books/+book._id")
              v-layout
                v-flex(xs5='')
                  v-img(:src='book.thumbnailUrl', height='125px', contain='')
                v-flex(xs7='')
                  v-card-title(primary-title='')
                    div
                      .headline {{book.title}}
                      div(v-if='book.authors') {{book.authors.join(', ')}}
                      div(v-else) -unknown author-
                      div(v-if="book.publishedDate") ({{book.publishedDate['$date'] | date}})
                      div(v-else) unknown-
              v-divider(light='')
              v-card-actions.pa-3
                | Rate this album
                v-spacer
                v-icon star_border
                v-icon star_border
                v-icon star_border
                v-icon star_border
                v-icon star_border
           


</template>

<script>
// @ is an alias to /src
import { parse, format } from "date-fns";

export default {
  name: "home",
  data() {
    return {
      books: []
    };
  },
  filters: {
    date(str, fmt = "YYYY") {
      return format(parse(str), fmt);
    }
  },
  computed: {
      visibleBooks() {
          return this.books.slice(0, 25)
      }
  },
  methods: {
    getBooks() {
      this.$axios.get("/books2.json").then(resp => (this.books = resp.data));
    }
  },
  created() {
    this.getBooks();
  }
};
</script>
<style lang="scss">
.book-card {
    min-height: 100%
}
</style>
